actions :create
default_action :create
attribute :app_name, :kind_of => String
attribute :app_long_name, :kind_of => String
attribute :app_dir,  :kind_of => String
attribute :bin_dir,  :kind_of => String
attribute :lib_dir,  :kind_of => String
attribute :conf_dir, :kind_of => String
attribute :logs_dir, :kind_of => String
attribute :init_mem_MB, :kind_of => String
attribute :max_mem_MB, :kind_of => String
attribute :java_parameters, :kind_of => Array
attribute :log_file_path, :kind_of => String
attribute :classpath, :kind_of => Array
attribute :app_parameters, :kind_of => Array
attribute :run_as_user, :kind_of => String

def initialize(*args)
  super
  @app_name ||= @name
  @app_dir  ||= "/opt/#{@name}"
  @bin_dir  ||= "/opt/#{@app_dir}/bin"
  @lib_dir  ||= "/opt/#{@app_dir}/lib"
  @conf_dir ||= "/opt/#{@app_dir}/conf"
  @logs_dir ||= "/var/log/#{@name}"
  @init_mem_MB ||= "3"
  @max_mem_MB ||= "64"
  @java_parameters ||= []
  @app_parameters ||= []
  @classpath ||= []
  @run_as_user = "root"
end